> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 结果查询

> 查询任务结果



## OpenAPI

````yaml openapi/cn/gemini.json get /gemini/image/fetch
openapi: 3.1.0
info:
  title: Gemini API DOCS
  version: 1.0.0
  description: TTAPI Gemini API 接口服务，包含 Nano Banana 图片生成和 Gemini 视频生成能力。
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/image/fetch:
    get:
      description: 查询任务结果
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: 生成接口同步返回的jobId
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse1'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    SuccessResponse1:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                description: 任务结果
                properties:
                  prompt:
                    type: string
                    description: 提示词
                  refer_images:
                    type: array
                    description: 参考图像。有效期详见[存储与持久化](/grids/cn/faq/storage)
                  image_url:
                    type: string
                    description: 图片地址。有效期详见[存储与持久化](/grids/cn/faq/storage)
                  quota:
                    type: string
                    description: 消耗配额
            example:
              status: SUCCESS
              message: success
              data:
                prompt: a cute cat
                refer_images: null
                image_url: >-
                  https://cdn.ttapi.io/other/2025-09-10/8b46aa28-4433-455f-bf5c-f5ccea48baf2.png
                quota: 2
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````